/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.custom-simposios-container {
    width:100%;
    
    justify-content: center; /* Centrar los elementos */
    font-family: 'Poppins', sans-serif; /* Aplicar fuente solo a esta sección */
}

.custom-simposio {
    position: relative;
    width: 33%; /* Ancho 100% del contenedor */
    padding:10px;
    float:left;
}

.custom-simposio img {
    width: 100%;
    border-radius: 10px; /* Esquinas redondeadas */
    height:300px !important;
     object-fit: cover; /* Cubre el área del contenedor sin distorsionar la imagen */
}

.custom-salas-bubble {
    position: absolute;
    top: 26px;
    left: 25px;
    background-color: black;
    color: white;
    padding: 5px 10px;
    border-radius: 20px; /* Esquinas redondeadas de la burbuja */
    font-weight:bold;
}

.custom-salas-bubble2 {
    position: absolute;
    top: 26px;
    left: 80px;
    background-color: black;
    color: white;
    padding: 5px 10px;
    border-radius: 20px; /* Esquinas redondeadas de la burbuja */
    font-weight:bold;
}

.custom-simposio-titulo {
    text-align: center;
    margin: 10px 0;
}

.custom-read-more {
    display: block;
    text-align: center;
    background-color: #c758f0; /* Color de fondo del botón */
    color: white;
    padding: 10px;
    border-radius: 5px;
    text-decoration: none;
    margin: 10px 0;
}

.custom-read-more:hover {
    background-color: #c759f1; /* Color de fondo al pasar el mouse */
    color:white;
}

/* Estilos para móvil */
@media (max-width: 768px) {
    .custom-simposio {
        width: calc(50% - 20px); /* 2 por fila en móvil */
        height:600px;
    }

    .custom-simposio img {
    width: 100%;
    border-radius: 10px; /* Esquinas redondeadas */
    height:200px !important;
     object-fit: cover; /* Cubre el área del contenedor sin distorsionar la imagen */
    }

}


.blockUI{
	display:none !important;
}


input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="tel"], input[type="number"], textarea, select{
    box-shadow: inset 0 0.0625em 0.125em rgba(10,10,10,.05);
    max-width: 100%;
    width: 100%;
    background-color: #fff;
    border-color: #dbdbdb;
    border-radius: 4px;
    color: #363636;
}


#formulario-login label{
    font-weight: bold;
    color: #444444;
}

#formulario-login input{
    padding:15px;
    color:#444444;
    font-size: 18px;
}   

#formulario-login input[type="submit"]{
   color:white;
   
}    


#editbox{
    border-radius: 20px; 
    background-color: white; 
    margin: 10px; 
    padding: 40px; 
    text-align: justify;
    --box-shadow:0px 0px 10px 0px rgba(190.39999999999998, 190.39999999999998, 190.39999999999998, 0.5)
}


.user-profile p{
    font-weight:bold;
    color:#474747;
}
.user-profile span{
    font-weight:bold;
    color:#737373;
}


.user-profile img{
    margin-left:auto;
    margin-right:auto;
    display:block;
}

.user-profile h2{
    font-family: "Poppins";
}


@media only screen and (max-width: 767px) {
    /* Tus reglas CSS para dispositivos móviles van aquí */
    #editbox{
        padding: 10px;
    }
    .caja{
        width:100% !important;
    }
    /* Agrega más reglas según sea necesario */
}

.password-container {
        position: relative;
    }

    .fa-eye {
        position: absolute;
        top: 50%;
        right: 10px;
        cursor: pointer;
        transform: translateY(-50%);
        display: inline-block; /* Asegura que el icono se muestre en línea con el campo de contraseña */
    }

    .toggle-password::before {
        content: '\1F441'; /* Unicode for the eye icon */
        font-size: 20px;
    }



.featured-image.page-header-image.grid-container.grid-parent{
	display:none;
}


.hidden {
    display: none !important;
}


    #cajas-logado {
        overflow: hidden;
    }

    .caja {
      
            width: 18%;
            padding: 10px;
            border-radius: 10px;
            margin: 10px;
            float: left;
            text-align: center;
            height: 200px;
            /* line-height: 100px; */
            color: #222222;
            font-family: 'Poppins';
            background: #e6e6e6;
            padding: 10px;
            padding-top: 77px;
            border-radius: 10px;
            margin-left: 10px;
            margin-bottom: 10px;
       
    }


    h3 {
        margin-bottom: 10px;
    }

    .logout-btn {
        margin-top: 20px;
    }

    #formulario-login {
        max-width: 400px;
        margin: 0 auto;
    }

    form {
        margin-top: 20px;
    }

    label {
        display: block;
        margin-bottom: 5px;
    }

    input.input {
        width: 100%;
        padding: 8px;
        margin-bottom: 10px;
        box-sizing: border-box;
    }

    input.button-primary {
        width: 100%;
        padding: 10px;
        background-color: #9D4CB6;
        color: #fff;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }
    
    a.button-primary {
        margin-top:10px;
        width: 100%;
        padding: 10px;
        background-color: #dd79fc;
        color: #fff;
        text-align: center;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }

    input.logout-btn {
        width: 100%;
        padding: 10px;
        background-color: #9D4CB6;
        color: #fff;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }


    .error-login {
        color: red;
        margin-top: 10px;
        text-align:center;
        font-weight: bold;
        font-family: Poppins;

    }

.columns{
    display:flex;
}

.column25{
    padding:20px;
    width:25%;
    background-color: #fff;
    border-radius: 6px;
    box-shadow: 0 0.5em 1em -0.125em rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.02);
    color: #2c2c2c;
    display: block;
    padding: 1.25rem;
}

 

.column{
    background-color: #fff;
    border-radius: 6px;
    box-shadow: 0 0.5em 1em -0.125em rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.02);
    color: #2c2c2c;
    display: block;
    padding: 1.25rem;
    margin-left:20px;
    width:100%;
    padding:20px;
}


@media (max-width: 768px) {
    .columns{
    display:block;
    }

   .column25{
        padding:20px;
        width:100%;
        background-color: #fff;
        border-radius: 6px;
        box-shadow: 0 0.5em 1em -0.125em rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.02);
        color: #2c2c2c;
        display: block;
        padding: 1.25rem;
   
        float:left;
    }

     

    .column{
        background-color: #fff;
        border-radius: 6px;
        box-shadow: 0 0.5em 1em -0.125em rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.02);
        color: #2c2c2c;
        display: block;
        padding: 1.25rem;
        
        width:100%;
        padding:20px;
        margin:0;
        margin-top:5px;
        float:left;
    }


}   




.imagenavatar{
     border-radius: 10px !important;
     width:150px;
     height:150px;
}


.col-6{
    width:50%;
    float:left;
} 

@media (max-width: 767px) {
    .col-6{
    width:100%;
    float:left;
    } 
}



.comentario-caja{
    margin-bottom:1.25rem;
    background-color: #fff; 
    border-radius: 6px; 
    box-shadow: 0 0.5em 1em -0.125em rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.02);
    color: #2c2c2c; 
    align-items: center; 
    padding: 1.25rem;
    display:block;
}

.contenido-comentario{
     text-align: justify; /* Justifica el texto en cada columna */
}